package com.example.download;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainMenuActivity extends Activity {
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.mainmenu);

        Button button = (Button) findViewById(R.id.toastButton);
        button.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent i =
                        new Intent(MainMenuActivity.this,
                                DownloadFileActivity1.class);
                startActivity(i);
            }
        });
        button = (Button) findViewById(R.id.alertDialogButton);
        button.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent i =
                        new Intent(MainMenuActivity.this,
                                DownloadFileActivity2.class);
                startActivity(i);
            }
        });
        button = (Button) findViewById(R.id.progressDialogButton);
        button.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent i =
                        new Intent(MainMenuActivity.this,
                                DownloadFileActivity3.class);
                startActivity(i);
            }
        });
        button = (Button) findViewById(R.id.dateDialogButton);
        button.setOnClickListener(new OnClickListener() {
            public void onClick(View v) {
                Intent i =
                        new Intent(MainMenuActivity.this,
                                DateDialogActivity.class);
                startActivity(i);
            }
        });
    }
}